#include <bits/stdc++.h>

using namespace std;

int main()
{
    ios::sync_with_stdio(false);
    cin.tie();

    int n,m,x,y;

    cin>>n>>m;
    vector<pair<int,int>> r;
    vector<pair<int,int>> kol;
    vector<vector<int>> mudja;

    for(int i=0;i<n;i++)
    {
        cin>>x>>y;
        r.push_back({x,y});
    }
    for(int i=0;i<m;i++)
    {
        cin>>x>>y;
        kol.push_back({x,y});
    }

    int k=0,l=0;
    for(int i=0;i<n;i++){
        for(int j=0;j<m;j++){
            x=min(r[i].second,kol[j].second);
            if(x>0){
                k+=x;
                l+=(x>0);
                vector<int> f;
                f.push_back(i);
                f.push_back(j);
                f.push_back(x);
                mudja.push_back(f);
            }
        }
    }
    cout<<k<<endl;
    cout<<l<<endl;

    for(auto &mud:mudja){
        cout<<mud[0]<<" "<<mud[1]<<" "<<mud[2]<<endl;
    }

    return 0;
}